Method: labsExperiments.execute

Full name: projects.locations.instances.labsExperiments.execute

Initiates the asynchronous execution of a LabsExperiment. Use this method to start a new interaction (e.g., a generative AI chat session) with an experimental feature.

HTTP request

POST https://{endpoint}/v1alpha/{parent}:execute

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The unique identifier of the Experiment definition to execute.

Request body

The request body contains data with the following structure:

JSON representation
{
  "context": {
    object (LabsExperimentExecutionContext)
  },
  "executionId": string,
  "options": {
    object (LabsOptions)
  }
}
Fields
context

object (LabsExperimentExecutionContext)

Required. The input payload provided by the user when initiating the execution. Stored as a generic Struct for flexibility. The specific structure exists in the existing service implementation.

executionId

string

Optional. The unique identifier of the execution. If not provided, a random UUID will be generated.

options

object (LabsOptions)

Optional. Options for executing a Labs experiment.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.labsExperiments.execute

For more information, see the IAM documentation.